import React from 'react'
import Picker from '@/components/Picker'
import { BIZ_STATUS } from '@/constants/user'

const dicts = [{ id: '', name: '全部' }].concat(Object.keys(BIZ_STATUS).map((key) => ({ id: key, name: BIZ_STATUS[key] })))

export default (props) => {
  return (
    <Picker
      kv={['name', 'id']}
      dicts={dicts}
      {...props}
    />
  )
}
